<template>
  <div v-if="themeName === 'peru'">
    <li class="flex items-center">
      <div class="w-1/4 text-align-middle">{{ $t("display_time") }}</div>
      <el-select v-model="selected" class="w-3/5">
        <el-option
          v-for="timeZone in timeZoneOptions"
          :key="timeZone.value"
          :label="timeZone.label"
          :value="timeZone.value"
        />
      </el-select>
    </li>
    <li class="flex items-center">
      <div class="w-1/4"></div>
      <div class="w-3/4 pt-[24px]">
        <el-button
          :disabled="isInProgress"
          type="primary"
          round
          class="w-[120px] submit-btn"
          @click="updatePreference"
        >
          {{ $t("submit") }}
        </el-button>
      </div>
    </li>
  </div>
  <div v-else class="flex flex-col gap-4">
    <li class="flex items-center">
      <div class="w-1/4 text-align-middle">{{ $t("display_time") }}</div>
      <el-select v-model="selected" class="w-3/5">
        <el-option
          v-for="timeZone in timeZoneOptions"
          :key="timeZone.value"
          :label="timeZone.label"
          :value="timeZone.value"
        />
      </el-select>
    </li>
    <li class="flex items-center">
      <div class="w-1/4"></div>
      <div class="w-3/4">
        <el-button
          :disabled="isInProgress || isInvalidValue"
          type="primary"
          round
          class="w-[120px] !px-4 !py-2"
          @click="updatePreference"
        >
          {{ $t("submit") }}
        </el-button>
      </div>
    </li>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";
import { store } from "~~/store";

export default defineComponent({
  setup() {
    const themeName = store.state.selectedThemeName;
    const { selected, isInProgress, updatePreference, timeZoneOptions } =
      usePreference();
    return {
      selected,
      isInProgress,
      updatePreference,
      timeZoneOptions,
      themeName,
    };
  },
});
</script>
<style scoped> 
.submit-btn{
  @media screen and (min-width: 639px) {
   height: 32px;
  } 
  @media screen and (max-width: 640px) {
   height: 40px;
  } 
}
:deep(.el-select .el-input__inner) {
  background-color: var(--background5);
}
</style>

